package com.persagy.dmp.admin.repository;

import com.persagy.dmp.admin.entity.TransObjectInfo;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.querydsl.QuerydslPredicateExecutor;

public interface TransObjectInfoRepository extends JpaRepository<TransObjectInfo, Integer>, QuerydslPredicateExecutor<TransObjectInfo> {

    @Modifying
    @Query(nativeQuery = true, value = "delete from admin_trans_object_info where project_id = ?")
    int deleteByProjectId(String projectId);

}

